#include <bits/stdc++.h>
using namespace std;

int main()
{
ios_base::sync_with_stdio(false) ;
	cin.tie(0);
	cout.tie(0);
	int n;
	int k;
	int N=20001;
	cin>> n;
	cin>> k;
	int i=0;
	int a[N];
	for(i=0;i<n;i++)
	{
		cin>>a[i];
	}
    for(i=0;i<n;i++)
    {
    	if(a[i]==k)
    	{
    		if(i==n-1)
    		cout<<a[0];
    		else cout<<a[i+1];
		}	
	}










}